Developer Documentation

Public Slots | Signals | Public Member Functions | Static Public Member Functions | Private Member Functions | Private Attributes | Static Private Attributes | List of all members
VSI::BaseWidget Class Reference

`#include <Plugin-VSI/baseWidget.hh>`

Inheritance diagram for VSI::BaseWidget:

## Public Slots
void | executeCode ()
| executes current script More...
void | codeToScript ()
| converts visual script to textual script More...
bool | save (bool _newName=false)
| save to file More...
bool | saveAs ()
| save to file More...
void | load ()
| load file More...
void | newFile ()
| new empty file More...
void | contentChanged ()
| used changed something More...
void | pushScene (GraphicsScene *_scene)
| show a new scene (function) in editor More...
void | popScene ()
| go back to last scene (function) More...
void | addScene (GraphicsScene *_scene)
| add a new scene More...
void | removeScene (GraphicsScene *_scene)
| remove a scene More...

## Signals
void | codeToScriptEditor (QString _code)

## Public Member Functions
| ~BaseWidget ()
| Destructor.

## Static Public Member Functions
static BaseWidget * | createBaseWidget (Context *_ctx, QWidget *_parent=NULL)
| Singleton constructor.
static BaseWidget * | getBaseWidget ()
| Returns singleton.

## Private Member Functions
| BaseWidget (Context *_ctx, QWidget *_parent)
void | setupUi ()
| Adds element widgets to toolbox.
void | updateTitle ()
| Update window title.
bool | saveIfChanged ()
| Asks the user if he want to save his changes.
void | closeEvent (QCloseEvent *_event)
| Chatch close event.

## Private Attributes
Context * | ctx_
GraphicsScene * | mainScene_
QStack< GraphicsScene * > | scenes_
QSplitter * | splitter_
QToolBox * | toolbox_
QStackedWidget * | views_
QString | fileName_
bool | changedContent_

## Static Private Attributes
static BaseWidget * | base_ = NULL

## Detailed Description

Main widget for the visual scripting interface editor

Definition at line 69 of file baseWidget.hh.

## Member Function Documentation

## ◆ addScene

void VSI::BaseWidget::addScene | ( | GraphicsScene * | _scene | ) |
| slot

add a new scene

Add scene to stack widget.

Definition at line 496 of file baseWidget.cc.

## ◆ codeToScript

void VSI::BaseWidget::codeToScript | ( |  | ) |
| slot

converts visual script to textual script

signal to open textual script editor with current script

Definition at line 222 of file baseWidget.cc.

## ◆ contentChanged

void VSI::BaseWidget::contentChanged | ( |  | ) |
| slot

used changed something

Called if something it the scene has changed.

Definition at line 396 of file baseWidget.cc.

## ◆ executeCode

void VSI::BaseWidget::executeCode | ( |  | ) |
| slot

executes current script

Executes current visual script.

Definition at line 199 of file baseWidget.cc.

## ◆ load

void VSI::BaseWidget::load | ( |  | ) |
| slot

load file

Load file.

Definition at line 252 of file baseWidget.cc.

## ◆ newFile

void VSI::BaseWidget::newFile | ( |  | ) |
| slot

new empty file

New empty scene.

Definition at line 367 of file baseWidget.cc.

## ◆ popScene

void VSI::BaseWidget::popScene | ( |  | ) |
| slot

go back to last scene (function)

Go back to previous scene (function)

Definition at line 482 of file baseWidget.cc.

## ◆ pushScene

void VSI::BaseWidget::pushScene | ( | GraphicsScene * | _scene | ) |
| slot

show a new scene (function) in editor

Display a new scene (function) in editor.

Definition at line 473 of file baseWidget.cc.

## ◆ removeScene

void VSI::BaseWidget::removeScene | ( | GraphicsScene * | _scene | ) |
| slot

remove a scene

Remove scene from stack widget.

Definition at line 504 of file baseWidget.cc.

## ◆ save

bool VSI::BaseWidget::save | ( | bool | _newName = `false` | ) |
| slot

save to file

Save file.

Definition at line 311 of file baseWidget.cc.

## ◆ saveAs

bool VSI::BaseWidget::saveAs | ( |  | ) |
| slot

save to file

Save to file.

Definition at line 244 of file baseWidget.cc.

The documentation for this class was generated from the following files:

- Plugin-VSI/baseWidget.hh
- Plugin-VSI/baseWidget.cc